This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 107093 - pam_pwdb not linked to libnsl
pam_pwdb not linked to libnsl
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-10-14 18:26 EDT by Chris Jaeger
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-21 12:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Jaeger 2003-10-14 18:26:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
The /lib/security/pam_pwdb.so module is not linked against libnsl.so.1,
which causes it to complain about a missing symbol yp_master (shows up
in /var/log/messages).

Version-Release number of selected component (if applicable):
pam-0.77-3

How reproducible:
Always

Steps to Reproduce:
1. Change /etc/pam.d/system-auth and replace all occurrences of pam_unix with
pam_pwdb
2. Attempt to use a login-based service (su suffices)
3.
    

Actual Results:  Message is logged to /var/log/messages saying that the dlopen
of pam_pwdb failed due to missing symbol yp_master.

Expected Results:  The dlopen should have succeeded.

Additional info:
Comment 1 Nalin Dahyabhai 2003-10-23 14:04:45 EDT
Eek!  Fixing for 0.77-15 and later.
Comment 2 Alan Cox 2004-06-21 12:49:36 EDT
Confirmed ok in FC2

Note You need to log in before you can comment on or make changes to this bug.